/* -----------------------------------------------------------------------------

  COPYIGHT

  1995  Dietmar  Eilert  (e-mail:  DIETMAR@TOMATE.TNG.OCHE.DE).  All  Rights
  Reserved.  Code  may not be reused/reproduced without written permission of
  the author.

  Dietmar Eilert
  Mies-v-d-Rohe-Str.31, 52074 Aachen, Germany
  E-Mail: DIETMAR@TOMATE.TNG.OCHE.DE
  Tel: +49-(0)241-81665
       +49-(0)2525-7776
  Fax: +49-(0)241-81665

  Example: scan handler looking for assembler labes. Scan handlers are plain
  functions (LoadSeg'ed by GED): no standard C startup code, no library calls.
  
  DICE-C:
  
  dcc a68k.c -// -l0 -md -mRR -o ram:a68k

  ------------------------------------------------------------------------------
*/

#include <exec/types.h>

ULONG
ScanHandlerA68k(__D0 ULONG len, __A0 char **text, __A1 ULONG *line)
{
    const char *version = "$VER: A68k 1.0 (" __COMMODORE_DATE__ ")";

    while (len && (**text == 32)) {

        ++*text;
        --len;
    }

    if ((len > 1) && (**text == '_'))
        return(len);
    else
        return(FALSE);
}

